---
title: SVGScriptElement
slug: Web/API/SVGScriptElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGScriptElement</code></strong> interface corresponds to the SVG {{SVGElement("script")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGScriptElement.type")}} {{ReadOnlyInline}}</dt>
 <dd>A {{domxref("DOMString")}} corresponding to the {{SVGAttr("type")}} attribute of the given {{SVGElement("script")}} element. A {{domxref("DOMException")}} is raised with the code <code>NO_MODIFICATION_ALLOWED_ERR</code> on an attempt to change the value of a read only attribut.</dd>
 <dt>{{domxref("SVGScriptElement.crossOrigin")}} {{ReadOnlyInline}}</dt>
 <dd>A {{domxref("DOMString")}} corresponding to the {{SVGAttr("crossorigin")}} attribute of the given {{SVGElement("script")}} element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent interface, {{domxref("SVGElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "interact.html#InterfaceSVGScriptElement", "SVGScriptElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Removed the implemented interface {{domxref("SVGExternalResourcesRequired")}} and added the <code>crossOrigin</code> property.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "script.html#InterfaceSVGScriptElement", "SVGScriptElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGScriptElement")}}</p>
